Skip to content
Permalink
Browse files

ccache: Update to 3.7.10

  • Loading branch information
ryandesign committed Jun 26, 2020
1 parent 5c5e5d9 commit 78fd1dc440b5b94211b15e2c086ea0ad56df580a
Showing with 10 additions and 20 deletions.
  1. +1 −1 devel/ccache-devel/Portfile
  2. +9 −19 devel/ccache/Portfile
@@ -6,7 +6,7 @@ PortGroup obsolete 1.0
name ccache-devel
replaced_by ccache
epoch 1
version 3.7.9
version 3.7.10
revision 0

# This obsolete port can be removed after March 2021
@@ -3,13 +3,11 @@
PortSystem 1.0
PortGroup github 1.0

github.setup ccache ccache 3.7.9 v
github.setup ccache ccache 3.7.10 v
revision 0
# Use tarball, since the releases archive discourages running ./autogen.sh
github.tarball_from tarball
checksums rmd160 dc94fdc3888b7354058283bb5737dc2acd8c4bc2 \
sha256 1520eb802dcbbd24e5589696d82e376a0fa2f65a41cff3dfae89f4af2391bc4e \
size 387820
checksums rmd160 367d9bccecdea7a2ccd70dda84a9ada58a236643 \
sha256 0c9566d8eafaec2c5e5c0d9a91e921c858fcf349284a105ab524407b9b54ed28 \
size 353792

categories devel
platforms darwin freebsd
@@ -26,22 +24,14 @@ long_description \
times speedup in common compilations.

homepage https://ccache.dev
github.tarball_from releases
use_xz yes

# gcc 4.x clang < 500 does not understand -Wpedantic
pre-configure {
reinplace "s|\-Wpedantic||g" ${worksrcpath}/configure.ac
post-patch {
# gcc 4.x and clang < 500 do not understand -Wpedantic
reinplace "s|-Wpedantic||g" ${worksrcpath}/configure
}

# use_autoconf yes and setting autoconf.cmd to a non-default value will modify
# depends_build, removing autoconf/automake/libtool. Avoid this by doing it
# before setting depends_build.
use_autoconf yes
autoconf.cmd ./autogen.sh

depends_build port:autoconf \
port:automake \
port:libtool

depends_build-append \
port:asciidoc

0 comments on commit 78fd1dc

Please sign in to comment.
You can’t perform that action at this time.